Subject: bug#64824: 30.0.50; define-error not fontified in font-lock mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 24 Jul 2023 15:20:32 +0300

merge 64824 64823
thanks

> From: [email-masked]
> Date: Sun, 23 Jul 2023 19:28:56 -0400
> 
> In a buffer with emacs-lisp-mode active, 'define-error' is not fontified
> by font-lock mode.  The keyword should be listed somewhere around line 360 in
> emacs-lisp/lisp-mode.el.
> 
> Recipe:
> 
> - Start emacs
> - Visit a file ending in .el
> - Type: (define-error 'new-error "this is a new error")
> - Wait for fontification to complete and notice it is not highlighted
> 
> In lisp-mode.el, there is a comment about constructs being updated
> automatically from obarray, but I was not able to understand how this
> happens, and thought maybe the comment is referring to symbols created
> with those commands?

Thanks I merged this with your original report, since it's the same
issue.